## com.thingmagic
Class SerialReader.VersionInfo

    java.lang.Object
      com.thingmagic.SerialReader.VersionInfo

Enclosing class:
  SerialReader

    public static final class SerialReader.VersionInfo

extends java.lang.Object

Container class for the version information about the device, including a list of the protocols that are supported.

Field Summary
`SerialReader.VersionNumber` `bootloader`
`SerialReader.VersionNumber` `fwDate`
`SerialReader.VersionNumber` `fwVersion`
`SerialReader.VersionNumber` `hardware`
`TagProtocol[]` `protocols`

Constructor Summary
`SerialReader.VersionInfo()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bootloader

    public SerialReader.VersionNumber bootloader

### hardware

    public SerialReader.VersionNumber hardware

### fwDate

    public SerialReader.VersionNumber fwDate

### fwVersion

    public SerialReader.VersionNumber fwVersion

### protocols

    public TagProtocol[] protocols

Constructor Detail

### SerialReader.VersionInfo

    public SerialReader.VersionInfo()